﻿define([
// Dojo base
    "dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/_base/Deferred",

// Epi Framework
    "epi/dependency",
    "epi/shell/command/_Command",

// Resource
    "epi/i18n!epi-cms/nls/socialreach.gadget"

], function (
// Dojo base
    declare,
    lang,
    Deferred,

// Epi Framework
    dependency,
    _Command,

// Resource
    res

    ) {

    // module:
    //		epi/socialreach/component/command/Settings
    // summary:
    //		A command that opens the SocialReach settings.

    return declare([_Command], {

        // label: [public] String
        //		The action text of the command to be used in visual elements.
        label: res.settingscommand,

        // modulePath: [public] String
        //      Path to the EPiServer.SocialReach module
        modulePath: null,

        // category: [readonly] String
        //		A category which provides a hint about how the command could be displayed.
        category: "setting",

        postscript: function () {
            this.inherited(arguments);

            this.set("canExecute", true);
        },

        _execute: function () {
            // summary:
            //		Navigate to Settings Panel
            // tags:
            //		protected

            window.location.href = lang.replace("{modulePath}Settings", { "modulePath": this.modulePath });
        }
    });
});
