﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<EPiServer.Social.Models.SocialMessage>" MasterPageFile="../Shared/Site.master" Title="Social - Outreach" %>

<%@ Assembly Name="EPiServer.Social" %>
<%@ Assembly Name="EPiServer.Social.Models" %>
<%@ Assembly Name="EPiServer.Social.Configuration" %>

<%@ Import Namespace="EPiServer.Social" %>
<%@ Import Namespace="EPiServer.Social.Helpers" %>
<%@ Register TagPrefix="sc" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>

<asp:Content runat="server" ContentPlaceHolderID="GlobalNavigationContainer">
    <div class="epi-globalNavigationContainer">
        <sc:ShellMenu runat="server" SelectionPath="/global/social/outreach" />
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">

    <div class="outreach">
        <div class="box" data-bind="with: socialMessage">
            <div class="heading">
                <h1>
                    <!-- ko if: $parent.initialized -->
                    <span data-bind="if: $parent.isEditMode"><%= Html.Translate("/socialreach/outreach/editscheduledmessage")%></span>
                    <span data-bind="ifnot: $parent.isEditMode"><%= Html.Translate("/socialreach/outreach/createmessageheading")%></span>
                    <!-- /ko -->
                </h1>
            </div>
            <div class="edit-message-content">
                <input id="socialmessage-current-language-id" type="hidden" data-bind="value: CurrentLanguageId" />
                <div>
                    <label for="socialmessage-name"><%= Html.Translate("/socialreach/outreach/name")%></label>
                    <input id="socialmessage-name" name="socialmessage-name" data-bind="value: Name" type="text" />
                </div>
                <div>
                    <label for="socialmessage-url"><%= Html.Translate("/socialreach/outreach/link")%></label>
                    <div id="socialmessage-linkSelector" class="linkSelector"></div>
                    <input id="socialmessage-url" type="hidden" data-bind="value: Url" />
                </div>

                <div>
                    <label for="socialmessage-imageSelector"><%= Html.Translate("/socialreach/outreach/image")%></label>
                    <div id="socialmessage-imageSelector" class="imageSelector"></div>
                    <input id="socialmessage-imageurl" type="hidden" data-bind="value: ImageUrl" />
                </div>
               
                <div>
                    <label for="socialmessage-campaign"><%= Html.Translate("/socialreach/outreach/campaign")%></label>
                    <input id="socialmessage-campaign" name="socialmessage-campaign" type="text" data-bind="value: Campaign" />
                    <span class="help-text"><%= Html.Translate("/socialreach/outreach/campaigndescription")%></span>
                </div>
                <div>
                    <label for="socialmessage-message" class="label-textarea"><%= Html.Translate("/socialreach/outreach/message")%></label>
                    <textarea class="Outreach" id="socialmessage-message" cols="30" rows="2" data-bind="value: Message"></textarea>
                </div>
                <div>
                    <label for="socialmessage-datetimeselector"><%= Html.Translate("/socialreach/outreach/Schedule")%></label>
                    <div id="socialmessage-datetimeselector" data-dojo-type="epi/shell/widget/DateTimeSelectorDropDown"></div>
                    <!-- ko if: $parent.isSchedule -->
                    <a href="#" class="schedule-remove" data-bind="click: $parent.clearSchedule" title="<%= Html.Translate("/socialreach/outreach/clearschedule")%>"></a>
                    <!-- /ko -->
                    <!-- ko if: $parent.initialized -->
                    <span class="scheduleInfo help-text" data-bind="if: $parent.isSchedule">
                        <%= Html.Translate("/socialreach/outreach/scheduledescription")%> 
                        <span data-bind="formattedDateText: Schedule"></span> 
                    </span>
                    <!-- /ko -->
                </div>
                <div id="error-message" class="hide EP-systemMessage"></div>
            </div>
            <h2><%= Html.Translate("/socialreach/outreach/socialchannelsheading")%></h2>
            <div data-bind="if: $parent.initialized">
                <div data-bind="visible: ChannelMessages().length == 0">
                    <p class="empty-content">
                        <%= Html.Translate("/socialreach/outreach/nochannel")%><a href="<%= ModuleHelper.ToResource("Settings") %>"><%= Html.Translate("/socialreach/outreach/addchannel")%></a>
                    </p>
                </div>
                <fieldset class="channel-specific" data-bind="visible: ChannelMessages().length > 0, foreach: { data: ChannelMessages, afterRender: $parent.initSocialChannel }">
                    <div class="channel">
                        <div>
                            <input type="checkbox" class="channel-enabled" data-bind="checked: Enabled, attr: { 'id': Channel.Id, 'name': Channel.Id }">
                            <img class="logo" />
                            <p>
                                <label class="channel-display-name" data-bind="text: Channel.Name, attr: { 'for': Channel.Id }"></label>
                                <span data-bind="text: Channel.ProviderName"></span>| <a href="#" class="toggle-message" data-bind="text: CustomMessage() ? '<%= Html.Translate("/socialreach/outreach/usedefaultmessage")%>':'<%= Html.Translate("/socialreach/outreach/createcustommessage")%>', css: { active: CustomMessage() }">-</a>
                            </p>
                        </div>
                        <textarea class="Outreach" data-bind="value: Message, visible: CustomMessage" cols="30" rows="2"></textarea>
                        <span class="counter help-text">
                            <span data-bind="if: Warning.InWarning">
                                <span data-bind="text: Warning.Info()"></span>
                                <img src="<%= ModuleHelper.ToClientResource("Content/Images/warningMid.png") %>" />
                            </span>
                        </span>
                    </div>
                </fieldset>
                <div class="buttons">
                    <span data-bind="if: $parent.isEditMode">
                        <span class="epi-cmsButton">
                            <input type="button" class="message-delete epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Delete" value="<%= Html.Translate("/socialreach/outreach/removebutton")%>" />
                        </span>
                    </span>
                    <!-- ko if: $parent.isSchedule -->
                    <span class="epi-cmsButton">
                        <input data-bind="click: $parent.saveSocialMessage, disable: ChannelMessages().length == 0" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" value="<%= Html.Translate("/socialreach/outreach/schedule")%>" type="button" />
                    </span>
                    <!-- /ko -->
                    <!-- ko ifnot: $parent.isSchedule -->
                    <span class="epi-cmsButton">
                        <input data-bind="click: $parent.createSocialMessage, disable: ChannelMessages().length == 0" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-SavePublish" value="<%= Html.Translate("/socialreach/outreach/send")%>" type="button" />
                    </span>
                    <!-- /ko -->
                </div>
            </div>
        </div>
    </div>

</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="AdditionalScripts">
    <script type="text/javascript">
        // Serialize this Outreach.Model to JSON for clientside script consuming
        var g_DefaultMessage = <%= Model.ToJson() %>;
    </script>
    <script src="<%= ModuleHelper.ToClientResource("ClientResources/Scripts/Outreach.js") %>" type="text/javascript"></script>
</asp:Content>