﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<EPiServer.Social.ViewModels.AccessStatus>" MasterPageFile="../Shared/Site.master" Title="Message Statistics" %>
<%@ Assembly Name="EPiServer.Social" %>
<%@ Assembly Name="EPiServer.Social.Models" %>
<%@ Assembly Name="EPiServer.Social.Configuration" %>

<%@ Import Namespace="EPiServer.Social" %>
<%@ Register TagPrefix="sc" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>


<asp:Content runat="server" ContentPlaceHolderID="GlobalNavigationContainer">
    <div class="epi-globalNavigationContainer">
        <sc:ShellMenu runat="server" SelectionPath="/global/social/overview" />
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">
<div class="overview">
    <div class="heading">
        <h1><%= Html.Translate("/socialreach/overview/title") %></h1>
    </div>
    <p class="new-message"><a class="sprite-tools-icon new-icon" href="<%= ModuleHelper.ToResource("Outreach") %>"><%= Html.Translate("/socialreach/overview/createnewmessage") %></a></p>

    <div id="normal-view" data-bind="if: initialized" slideVisible: true">
        <div class="schedule-messages">
            <%--Panel for displaying schedule messages message and SCHEDULE message list (if any)--%>
            <div data-bind="visible: scheduleTotalCount() == 0">
                <p class="empty-content">
                    <%= Html.Translate("/socialreach/overview/noschedulemessage")%>
                </p>
            </div>
        
            <div data-bind="visible: scheduleTotalCount() > 0">
                <h2>
                    <span data-bind="text: scheduleTotalCount"></span> 
                    <span data-bind="if: scheduleTotalCount() == 1"><%= Html.Translate("/socialreach/overview/schedulemessage") %></span>
                    <span data-bind="ifnot: scheduleTotalCount() == 1"><%= Html.Translate("/socialreach/overview/schedulemessageplural")%></span>
                </h2>
                <table class="schedule epi-simple" data-bind="visible: scheduleMessages().length > 0">
                    <thead>
                        <tr>
                            <th><%= Html.Translate("/socialreach/overview/message")%></th>
                            <th><%= Html.Translate("/socialreach/overview/campaign")%></th>
                            <th class="fixWidthDateTime" title="<%= Html.Translate("/socialreach/overview/scheduleddate")%>"><%= Html.Translate("/socialreach/overview/willbesenton")%></th>
                            <th><%= Html.Translate("/socialreach/overview/by")%></th>
                        </tr>
                    </thead>
                    <tbody data-bind="foreach: scheduleMessages">
                        <tr data-bind="attr: { 'data-episocialreach-messageid' : Id }">
                            <td class="message-cell">
                                <span data-bind="text: Message"></span>
                            </td>
                            <td class="campaign-cell" data-bind="text: Campaign"></td>
                            <td data-bind="formattedDateText: ScheduleGMTString, attr: { title: formatDateTime(ScheduleGMTString) }"></td>
                            <td data-bind="text: Author"></td>
                        </tr>
                    </tbody>
                    <tfoot data-bind="if: schedulepages().length > 1">
                        <tr>
                        <td colspan="6" class="paging">
                            <div data-bind="foreach: schedulepages">
                                <a class="schedulePageIndex page-index" href="#" data-bind="text: Text"></a>
                            </div>
                        </td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>

         <p></p>
         <p></p>

        <div class="sent-messages">
            <%--Panel for displaying SENT messages message and SENT message list (if any)--%>
            <h2><span data-bind="text: totalCount"></span> 
            <span data-bind="if: totalCount() == 1"><%= Html.Translate("/socialreach/overview/socialmessage") %></span>
            <span data-bind="ifnot: totalCount() == 1"><%= Html.Translate("/socialreach/overview/socialmessageplural")%></span></h2>

            <table class="stats epi-simple" data-bind="visible: messages().length > 0">
                <thead>
                    <tr>
                        <th><%= Html.Translate("/socialreach/overview/clicks")%></th>
                        <th><%= Html.Translate("/socialreach/overview/message")%></th>
                        <th><%= Html.Translate("/socialreach/overview/campaign")%></th>
                        <th class="fixWidthDateTime" title="<%= Html.Translate("/socialreach/overview/createddate")%>"><%= Html.Translate("/socialreach/overview/date")%></th>
                        <th><%= Html.Translate("/socialreach/overview/by")%></th>
                        <th><%= Html.Translate("/socialreach/overview/status")%></th>
                    </tr>
                </thead>
                <tbody data-bind="foreach: messages">
                    <tr data-bind="attr: { 'data-episocialreach-messageid' : Id }">
                        <td data-bind="text: Clicks" class="clicks"></td>
                        <td class="message-cell">
                            <span data-bind="text: Message"></span>
                        </td>
                        <td class="campaign-cell" data-bind="text: Campaign"></td>
                        <td data-bind="formattedDateText: StartedGMTString, attr: { title: formatDateTime(StartedGMTString) }"></td>
                        <td data-bind="text: Author"></td>
                        <td>
                            <div data-bind="if: Status()==Social.ChannelMessageStatus.Error">
                                <div class="epi-iconWarning epi-icon--colored"></div>
                            </div>
                            <div data-bind="if: Status()==Social.ChannelMessageStatus.Cancelled">
                                <div class="epi-iconInfo epi-icon--colored"></div>
                            </div>
                            <div data-bind="if: Status()==Social.ChannelMessageStatus.Queued">
                                <img src="<%= ModuleHelper.ToClientResource("Content/Images/ajax-loader.gif") %>">
                            </div>
                        </td>
                    </tr>
                </tbody>
                <tfoot data-bind="if: pages().length > 1">
                    <tr>
                    <td colspan="6" class="paging">
                        <div data-bind="foreach: pages">
                            <a class="sentPageIndex page-index" href="#" data-bind="text: Text"></a>
                        </div>
                    </td>
                    </tr>
                </tfoot>
            </table>
            <div data-bind="visible: messages().length == 0">
                <p class="empty-content">
                    <%= Html.Translate("/socialreach/overview/nomessage")%>
                </p>
            </div>
        </div>

    </div>
     
    <div id="details-view" data-bind="with: detailedSocialMessage">
        <div class="top-bar-action">
            <div class="linkright">
                <a href="#" class="refresh sprite-tools-icon refresh-icon"><%= Html.Translate("/socialreach/overview/refresh")%></a>
            </div>
            <div clas="linkleft">
                <a href="#" class="back sprite-tools-icon back-icon"><%= Html.Translate("/socialreach/overview/backtolist")%></a>
            </div>
        </div>
    
        <div class="detailed-stats-info" data-bind="attr: {itemid: Id}">
            <div class="detail-inner">
                <div class="message-heading">
                    <h4 data-bind="text: Name"></h4>
                    <span><%= Html.Translate("/socialreach/overview/by")%> <strong data-bind="text: Author"></strong></span>
                </div>
                <div class="message-content">
                    <div class="message-text" data-bind="text: Message"></div>
                    <div>
                        <a class="message-url" data-bind="attr: {href: Url}, text: Url"></a>
                        <div class="light-divider"></div>
                    </div>

                    <div class="expansion-container" >
                        <div class="cards-multimedia" data-bind="visible: ImageUrl">
                            <div class="media" >
                                <img data-bind="attr: {src: ImageUrl} " />
                            </div>
                        </div>

                        <div class="metadata">
                            <span class="stats-card">
                                <span class="clicks" data-bind="text: Clicks"></span> <%= Html.Translate("/socialreach/overview/totalclicks")%>
                                <!-- ko if: Campaign -->
                                <%= Html.Translate("/socialreach/overview/campaign")%> <strong data-bind="text: Campaign"></strong>
                                <!-- /ko -->
                            </span>
                            <span class="datetime-card" data-bind="formattedDateText: StartedGMTString, attr: { title: '<%= Html.Translate("/socialreach/overview/createddate")%>: ' + formatDateTime(StartedGMTString) }"></span>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    
        <fieldset class="channel-specific" data-bind="foreach: { data: ChannelMessages, afterRender: $parent.initSocialChannel }">
            <div class="channel" data-bind="attr: {itemid: Id}">
                
                <div class="channel-details">
                    <div>
                        <span class="clicks" data-bind="text: Clicks"></span>
                        <img class="logo" />
                        <p>
                            <label class="channel-display-name" for="channel-enabled" data-bind="text: Channel.Name"></label>
                            <span data-bind="text: Channel.ProviderName"></span> | <span class="default-message"><%= Html.Translate("/socialreach/overview/useddefaultmessage")%></span> |  <a data-bind="attr: { href: MessageUrl }" target="_blank"><%= Html.Translate("/socialreach/overview/goto")%></a>
                        </p>
                    </div>
                
                    <div data-bind="if: Status==Social.ChannelMessageStatus.Success">
                        <div data-bind="template: { name: Provider.Get(Channel.ProviderName).StatTemplate() }" class="stat-template"></div>
                    </div>

                    <div data-bind="if: Status==Social.ChannelMessageStatus.Queued" class="detailed-channel-stats icon">
                        <div>
                            <img src="<%= ModuleHelper.ToClientResource("Content/Images/ajax-loader.gif") %>" title="<%= Html.Translate("/socialreach/overview/delivering")%>"/>
                        </div>
                    </div>

                    <div data-bind="if: Status==Social.ChannelMessageStatus.Cancelled" class="detailed-channel-stats">
                        <div>                            
                            <a class="epi-iconInfo epi-icon--colored detailed-channel-link" data-bind="attr: { href: '#', title: StatusMessage }">
                                <%= Html.Translate("/socialreach/overview/messagecancelled")%>
                            </a>
                        </div>
                    </div>

                    <div data-bind="if: Status==Social.ChannelMessageStatus.Error" class="detailed-channel-stats">
                        <div>
                        <a class="epi-iconWarning epi-icon--colored detailed-channel-link" data-bind="attr: { href: '#', title: StatusMessage }">
                            <%= Html.Translate("/socialreach/overview/messagefailed")%>
                        </a>
                        </div>
                    </div>

                    <div data-bind="if: Status==Social.ChannelMessageStatus.Error || Status==Social.ChannelMessageStatus.Success " class="stat-datetime">
                        <div>
                            <div data-bind="formattedDateText: CreatedGMTString, attr: { title: '<%= Html.Translate("/socialreach/overview/sentdate")%>: ' + formatDateTime(CreatedGMTString) }"></div>
                        </div>
                    </div>

                    <!-- ko if: Message -->
                    <div class="custom-message">
                        <p data-bind="text: Message"></p>
                    </div>
                    <!-- /ko -->
                </div>
                
            </div>
        </fieldset>

        <%--action buttons of a SocialMessage's DetailView--%>
        <div class="action-button-panel">
            <%if (Model.SettingsAccess) { %>
            <span class="epi-cmsButton">
                <input type="button" class="message-delete epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Delete" value="<%= Html.Translate("/socialreach/overview/removebutton")%>" />
            </span>
            <% } %>
            <%if (Model.OutreachAccess) { %>
            <span class="epi-cmsButton" data-bind="visible: Status()==Social.ChannelMessageStatus.Error">
                <input type="button" class="message-resend epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Redo" value="<%= Html.Translate("/socialreach/overview/resendbutton")%>" />
            </span>
            <% } %>
        </div>
    </div>

</div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="AdditionalScripts">
    <script src="<%= ModuleHelper.ToClientResource("ClientResources/Scripts/Statistics.js") %>" type="text/javascript"></script>
</asp:Content>
